Bug 1572198 - [RFE] increase timeout of spacewalk-debug portion of sosreport
Summary: [RFE] increase timeout of spacewalk-debug portion of sosreport
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On: 1439943
Blocks: 1461138 1440091 1506659
TreeView+ depends on / blocked
 
Reported: 2018-04-26 12:04 UTC by Miroslav Hradílek
Modified: 2020-09-10 11:26 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1439943
Environment:
Last Closed: 2018-05-02 07:23:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3177961 None None None 2018-04-26 12:04:41 UTC

Comment 2 Bryn M. Reeves 2018-04-26 12:44:46 UTC
We already have a timeout of 900s (15m) upstream:

commit cfbf10f8701070fba5d8a58b87d59b907e1d9743
Author: Marcelo Moreira de Mello <mmello@redhat.com>
Date:   Fri Apr 7 20:21:40 2017 -0400

    [satellite] increase timeout of spacewalk-debug to 15minutes
    
    spacewalk-debug usually runs longer than the default 5 minutes timeout.
    
    Fixes: #989
    
    Signed-off-by: Marcelo Moreira de Mello <mmello@redhat.com>
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

Unfortunately this did not land until a few months after 3.5 was released:

$ git describe cfbf10f8701070fba5d8a58b87d59b907e1d9743
3.5-46-gcfbf10f8

$ git show 3.5
tag 3.5
Tagger: Bryn M. Reeves <bmr@redhat.com>
Date:   Thu Nov 2 12:56:45 2017 +0000

sos-3.5

commit 44a156f506efa55e70af7d0a3344a5b402119059 (tag: 3.5)
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Thu Nov 2 12:54:47 2017 +0000

    [sos] bump release to 3.5
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

So it will be automatically included in 7.6 via the rebase: if there are significant problem reports from customers then we could consider releasing this for 7.5.z: the patch is trivial and already tested in several environments.

Comment 3 Bryn M. Reeves 2018-04-26 12:48:17 UTC
(the date on the commit looks misleading - although that's the date that it was first committed, it was rebased a number of times and was not finally merged until March this year).

Comment 4 Pavel Moravec 2018-05-02 07:23:59 UTC
spacewalk-debug belongs to Satellite5 that is not supported/shipped on RHEL7. Despite customers can still install RHEL7 and upstream spacewalk (unsupported) on top of it, Red Hat support won't be interested in a sosreport containing the spacewalk bits. So there is no dedicated need to have this fixed in RHEL7. (and further more, as Bryn wrote, it will appear in 7.6 either way).


Note You need to log in before you can comment on or make changes to this bug.